# https://github.com/nobonobo/grpcweb-sample

# This shows the Server hosting a WASM, that itself uses Protobufs.
# Got to get a go client Compiled to WASM, also using Protobuf.
# Need to run the Client WASM in a WebWorker, and use Protobufs between the DOM Window and the Webworker



include ./../../../root.mk

# Git Org
LIB_REPO=				github.com/nobonobo
LIB_REPO_FSPATH=		$(GOPATH)/src/$(LIB_REPO)

# Git Repo's under that org.
LIB_NAME=				grpcweb-sample
LIB=					$(LIB_REPO)/$(LIB_NAME)
LIB_FSPATH=				$(LIB_REPO_FSPATH)/$(LIB_NAME)

this-print:
	@echo
	@echo LIB_REPO: 			$(LIB_REPO)
	@echo LIB_REPO_FSPATH: 		$(LIB_REPO_FSPATH)
	@echo

	@echo
	@echo LIB_NAME: 			$(LIB_NAME)
	@echo LIB: 					$(LIB)
	@echo LIB_FSPATH: 			$(LIB_FSPATH)
	@echo

### GIT

this-git-clone:
	$(MAKE) git-clone-args LIB=$(LIB) LIB_FSPATH=$(LIB_FSPATH)
	
this-git-delete:
	rm -rf $(LIB_REPO_FSPATH)

this-vscode-open:
	code $(LIB_REPO_FSPATH)

### Server

all: init gen build run

dep:
	go get -u github.com/hajimehoshi/wasmserve

init:
	# cert
	cd $(LIB_FSPATH) && $(MAKE) cert
gen:
	cd $(LIB_FSPATH) && $(MAKE) generate

build:
	# nil
run:
	cd $(LIB_FSPATH) && $(MAKE) start


